--------------------------------------------------
-- Player Classes Script by Unreal Software     --
-- 28.02.2009 - www.UnrealSoftware.de           --
-- Adds Player Classes to your server           --
--------------------------------------------------

parse("mp_wpndmg mine 50")
parse("mp_wpndmg GrenadeLauncher 40")
parse("mp_wpndmg LaserMine 50")
parse("mp_wpndmg Chainsaw 20")

if sample==nil then sample={} end
sample.classes={}

-----------------------
-- INITIAL SETUP     --
-----------------------
function initArray(m)
	local array = {}
	for i = 1, m do
		array[i]=0
	end
	return array
end
sample.classes.class=initArray(32)
function sample.classes.classmenu(id)
	menu(id,"Select your Class,Defender,Sniper,Saper,Grenader,Commandos,SWAT,Rambo,Marenz,Rusher")	
end


-----------------------
-- TEAM -> CLASS     --
-----------------------
addhook("team","sample.classes.team")
function sample.classes.team(id,team)
	if (team>2) then
		sample.classes.classmenu(id)
	end
end


-----------------------
-- SERVERACTION      --
-----------------------
addhook("serveraction","sample.classes.serveraction")
function sample.classes.serveraction(id)
	sample.classes.classmenu(id)
end


-----------------------
-- CLASS SELECTION   --
-----------------------
addhook("menu","sample.classes.menu")
function sample.classes.menu(id,menu,sel)
	if (menu=="Select your Class") then
		if (sel>=0 and sel<=9) then
			sample.classes.class[id]=sel
			if (player(id,"health")>0) then
				parse ("slap "..id.." 1")
			end
		end
	end
end

-----------------------
-- SPAWN             --
-----------------------
addhook("spawn","sample.classes.spawn")
function sample.classes.spawn(id)
     if (player(id,"team") == 2) then
	-- Defender
	if (sample.classes.class[id]<=1) then
		parse ("setmaxhealth "..id.." 150")
		parse ("setarmor "..id.." 200")
		parse ("equip "..id.." 40")
		parse ("equip "..id.." 2")
		parse ("equip "..id.." 1")
		parse ("speedmod "..id.." 2")
		return "40,2,1";
	end
	-- Sniper
	if (sample.classes.class[id]<=2) then
			parse ("equip "..id.." 35")
					parse ("equip "..id.." 34")
							parse ("equip "..id.." 3")
									parse ("equip "..id.." 53")
		parse ("setmaxhealth "..id.." 125")
		parse ("setarmor "..id.." 150")
		parse ("speedmod "..id.." 3")
		return "35,34,3,53";
	end
		-- Saper
	if (sample.classes.class[id]<=3) then
			parse ("equip "..id.." 22")
					parse ("equip "..id.." 4")
							parse ("equip "..id.." 87")
									parse ("equip "..id.." 77")
		parse ("setmaxhealth "..id.." 100")
		parse ("setarmor "..id.." 175")
		parse ("speedmod "..id.." 2")
		return "22,4,87,77";
	end
			-- Grenader
	if (sample.classes.class[id]<=4) then
			parse ("equip "..id.." 31")
					parse ("equip "..id.." 4")
							parse ("equip "..id.." 51")
									parse ("equip "..id.." 73")
											parse ("equip "..id.." 76")
		parse ("setmaxhealth "..id.." 120")
		parse ("setarmor "..id.." 150")
		parse ("speedmod "..id.." 2")
		return "31,4,51,73,76";
	end
	-- Commandos
	if (sample.classes.class[id]<=5) then
			parse ("equip "..id.." 69")
					parse ("equip "..id.." 6")
							parse ("equip "..id.." 33")
						parse ("setweapon "..id.." 69")
		parse ("setmaxhealth "..id.." 138")
		parse ("setarmor "..id.." 138")
		parse ("speedmod "..id.." 4")
						parse ("strip "..id.." 50")
		return "69,6,33";
		end
			-- Swat
	if (sample.classes.class[id]<=6) then
						parse ("equip "..id.." 54")
			parse ("equip "..id.." 1")
					parse ("equip "..id.." 32")
							parse ("equip "..id.." 51")
						parse ("setweapon "..id.." 54")
		parse ("setmaxhealth "..id.." 140")
		parse ("setarmor "..id.." 200")
		parse ("speedmod "..id.." 2")
		return "69,6,33";
		end
			-- Rambo
	if (sample.classes.class[id]<=7) then
					parse ("equip "..id.." 54")
			parse ("equip "..id.." 5")
					parse ("equip "..id.." 39")
							parse ("equip "..id.." 51")
						parse ("setweapon "..id.." 54")
		parse ("setmaxhealth "..id.." 200")
		parse ("setarmor "..id.." 140")
		parse ("speedmod "..id.." 2")	
		return "69,6,33";
		end
					-- Marenz
	if (sample.classes.class[id]<=8) then
			parse ("equip "..id.." 36")
					parse ("equip "..id.." 3")
            parse ("equip "..id.." 37")
						parse ("equip "..id.." 53")
		parse ("setmaxhealth "..id.." 125")
		parse ("setarmor "..id.." 150")
		parse ("speedmod "..id.." 2")	
		return "69,6,33";
				end
					-- Rusher
	if (sample.classes.class[id]<=9) then
			parse ("equip "..id.." 10")
					parse ("equip "..id.." 5")
            parse ("equip "..id.." 11")
						parse ("equip "..id.." 76")
		parse ("setmaxhealth "..id.." 140")
		parse ("setarmor "..id.." 125")
		parse ("speedmod "..id.." 4")	
		return "69,6,33";
	end
end


-----------------------
-- NO BUYING         --
-----------------------
addhook("buy","buy")
function buy()
	return 1
end


-----------------------
-- NO COLLECTING     --
-----------------------
addhook("walkover","walkover")
function walkover(id,iid,type)
	if (type>=1 and type<=88) then
		return 1
	end
	return 0
end


-----------------------
-- NO DROPPING       --
-----------------------
addhook("drop","drop")
function drop()
	return 1
end


-----------------------
-- NO DEAD DROPPING  --
-----------------------
addhook("die","sample.classes.die")
function sample.classes.die()
	return 1
end
end
